Stop! Tickets are now managed at GitHub.

Please enter new tickets, and find and edit existing tickets there:


Ticket #65 (new defect)

Opened 5 years ago

Last modified 4 years ago

librt.so error when linking with unix lib on Ubuntu Linux

Reported by: simonmic Owned by: dons
Priority: major Milestone: 2010.2.0.0
Component: Platform Keywords:
Cc:

Description

cabal installing happstack-data fails after installing the ghc 6.10.3 binary and haskell platform 2009.2.0.1 on ubuntu dapper, with this error:

Loading package unix-2.3.2.0 ... <command line>: can't load .so/.DLL for: rt (/usr/lib/librt.so: symbol librt_multiple_threads, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference) while cabal installing happstack-data

Change History

Changed 5 years ago by dons

  • owner set to dons
  • component changed from (none-specified) to Platform
  • summary changed from librt.so error when linking with unix lib on dapper to librt.so error when linking with unix lib on Ubuntu Linux

Changed 5 years ago by dons

  • milestone set to 2009.2.0.1

Changed 5 years ago by dons

  • milestone changed from 2009.2.0.1 to 2009.4.0

Any other news on this?

Changed 4 years ago by refold

  • milestone changed from 2009.4.0 to 2010.2.0.0

Milestone 2009.4.0 deleted

Note: See TracTickets for help on using tickets.